package cn.com.qmth.examcloud.core.oe.admin.service.bean.reexaminelog;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

import java.util.Date;

public class ReexamineLogInfo implements JsonSerializable {

    private static final long serialVersionUID = -7260035187571848686L;

    private Long examId;

    private Long examStudentId;

    @ExcelProperty(name = "姓名", width = 20, index = 1)
    private String studentName;

    @ExcelProperty(name = "学号", width = 20, index = 2)
    private String studentCode;

    @ExcelProperty(name = "证件号", width = 20, index = 3)
    private String identityNumber;

    private Long orgId;

    @ExcelProperty(name = "学习中心", width = 20, index = 4)
    private String orgName;

    private Long courseId;

    @ExcelProperty(name = "课程代码", width = 20, index = 5)
    private String courseCode;

    @ExcelProperty(name = "课程名称", width = 20, index = 6)
    private String courseName;

    private Long operateUserId;

    @ExcelProperty(name = "操作人", width = 20, index = 7)
    private String operateUserName;

    @ExcelProperty(name = "操作时间", width = 20, index = 8)
    private Date creationTime;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getOperateUserId() {
        return operateUserId;
    }

    public void setOperateUserId(Long operateUserId) {
        this.operateUserId = operateUserId;
    }

    public String getOperateUserName() {
        return operateUserName;
    }

    public void setOperateUserName(String operateUserName) {
        this.operateUserName = operateUserName;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

}
